mangoapp(1)

NAME
mangoapp - transparent background application with a built in mangohud

SYNOPSIS
mangoapp

DESCRIPTION
MangoHud is a Vulkan/OpenGL overlay for monitoring FPS, temperatures, CPU/GPU load and more.

Mangoapp is a transparent background opengl application with a built in MangoHud. It's designed to be run inside a gamescope instance which will display mangoapp ontop of gamescopes output. It also takes frame information from gamescope. The purpose of this is to "easily" make MangoHud compatible with any application, or at least any application that gamescope can run. This solves issues with some OpenGL games and certain ports that have stdc++ issues as it's no longer directly injected into the game.

USAGE
Create a script (e.g. run.sh) containing the app you want to run (e.g. vkcube) and mangoapp like so:

        #!/bin/sh

        vkcube&
        mangoapp

And then run it with gamescope ./run.sh.

SEE ALSO
mangohud(1)

ABOUT
MangoHud development takes place at https://github.com/flightlessmango/MangoHud.
Benchmarks created with MangoHud can be uploaded to https://flightlessmango.com.